Input method doesn't work in the typing area

RESOLVED INCOMPLETE

Status

--
major
RESOLVED INCOMPLETE
5 years ago
5 years ago

People

(Reporter: bugzilla, Unassigned)

Tracking

Details

(Reporter)

Description

5 years ago
*** Original post on bio 1173 by Huan Li <klx211 AT gmail.com> at 2011-11-18 06:01:00 UTC ***

Chinese is my mother tongue so I usually chat with friends in Chinese. Therefore, an input method is need to type in Chinese characters. The input method I'm using is iBus 1.4.0. It works well except for Instantbird. It can't be launched with the shortcut keys or even with the mouse when the typing area in a Instantbird conversation dialog is focused. This is weird.

The operating system I'm using is Fedora 16 64-bit.

Thanks
(Reporter)

Comment 1

5 years ago
*** Original post on bio 1173 by Mook <mook.moz+bugs.instantbird AT gmail.com> at 2011-11-18 06:12:12 UTC ***

FWIW, this does not appear on Windows.  Tested with "New Phonetic IME" (for zh-TW), Instantbird version 1.2a1pre (20111116131156), Win7/x64.

This doesn't mean it isn't a problem on Linux with iBus, though, so leaving as unconfirmed.
(Reporter)

Comment 2

5 years ago
*** Original post on bio 1173 by Huan Li <klx211 AT gmail.com> at 2011-11-20 08:16:33 UTC ***

I tried with other input methods including SCIM and FCITX. They both don't work. Actually I found that the input methods just don't work in any typing area of instantbird. No matter it's in the conversation dialog, or in the preference dialog or on the main panel.

I'm using version 1.1 (20111014141115), Gecko 7.0.1 (20111014141115) and libpurple 2.10.0. 

The string at the bottom of the "About Instantbird" dialog Mozilla/5.0 (X11; Linux i686 on x86_64; rv:7.0.1) Gecko/20111014 Instantbird/1.1

This is a great software! It's the only one that I used which can log onto QQ without being cut off every now and then. But the only and important issue is that it doesn't work with the input method on my Fedora 16 x64.
*** Original post on bio 1173 at 2011-11-20 09:25:27 UTC ***

(In reply to comment #2)

> Linux i686 on x86_64; rv:7.0.1)

Running Instantbird compiled for 32bit on a 64bit system often causes issues with third party libraries that need to integrate into the application, so I suspect this is the cause of your problem.
(Reporter)

Comment 4

5 years ago
*** Original post on bio 1173 by Huan Li <klx211 AT gmail.com> at 2011-11-22 02:12:07 UTC ***

I also suspected that and I tried to compile one on my machine with the code checked out with mercurial. But it never succeeded although I've got all the dependencies. I just don't know why. The error messages were really simple and not helpful.
*** Original post on bio 1173 at 2011-11-24 21:46:15 UTC ***

(In reply to comment #4)
> I also suspected that and I tried to compile one on my machine with the code
> checked out with mercurial. But it never succeeded although I've got all the
> dependencies. I just don't know why. The error messages were really simple and
> not helpful.

You can always paste the error messages in a pastebin (e.g. ours: http://pastebin.instantbird.com/) and come to irc.mozilla.org into the channel #instantbird to ask for help. We'll try to help you then :)

Comment 6

5 years ago
*** Original post on bio 1173 at 2012-02-17 11:00:31 UTC ***

Resolved incomplete as per comment #5.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.